Subject: Re: Has anyone looked at Gettext support for Git itself?

From: Thomas Singer <[email-masked]>
Date: Tue, 18 May 2010 11:35:56 +0200

> Note that "non-english-speaking" here really means "requiring or badly
> wanting translated git". There are many non-native speakers here, and
> your following reasoning
> 
>> It may also be worth mentioning that a git "commit", for example,
>> doesn't have anything (other than historical reasons) to do with the
>> English word "commit". A git commit is a git commit, and perhaps such
>> conceptual terms should best be left untranslated anyway. It would
>> certainly make it easier to answer questions in #git if people continued
>> to use the same terms everywhere. Just as a weak anecdotal argument,
>> when someone uses the term "revision" in #git, there's generally a lack
>> of understanding about what a "commit" is. "commit" means something very
>> specific in git, and I would hesitate to try to translate that into
>> another language as if it's just a synonym for "revision" or
>> "checkpoint", or "transaction", etc
> 
> explains why many non-native speakers prefer an English git. When
> confronted with the localised German git-gui for the first time, I
> really did not understand the menu entries at all. And my German is
> pretty good ;)

I can second that. If I have the choice between a German (no matter whether
good or bad translated) and an English version of a software, I'll choose
the English one.

Also, the support aspect might be important. If a German would use a
software version which reports a German error, non-German speakers will most
likely not be able to help him/her and even worse, (s)he will most likely
not be able to find a solution by searching google for this error message.

-- 
Thomas